Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Novice
77 Views

Onnx conversion error

Hi 

I am getting the following error while converting resnet_50  onnx format to IR representation.

 

Node attributes: {'pb': input: "convolution_output50"
input: "Pad15_pads"
input: "Pad15_value"
output: "conv1_conv/BiasAdd:0_permuted_padded"
name: "Pad15"
op_type: "Pad"
attribute {
  name: "mode"
  s: "constant"
  type: STRING
}
doc_string: ""
domain: ""
, 'kind': 'op', '_in_ports': {}, '_out_ports': {}, 'name': 'Pad15', 'op': 'Pad'}
[ ERROR ]  Exception occurred during running replacer "REPLACEMENT_ID" (<class 'extensions.load.onnx.loader.ONNXLoader'>): Unexpected exception happened during extracting attributes for node conv1_conv.
Original exception message: 
[ 2020-11-01 21:31:49,750 ] [ DEBUG ] [ main:325 ]  Traceback (most recent call last):
  File "/opt/intel/openvino_2020.3.194/deployment_tools/model_optimizer/mo/front/extractor.py", line 746, in extract_node_attrs
    supported, new_attrs = extractor(Node(graph, node))
  File "/opt/intel/openvino_2020.3.194/deployment_tools/model_optimizer/extensions/load/onnx/loader.py", line 68, in <lambda>
    extract_node_attrs(graph, lambda node: onnx_op_extractor(node, check_for_duplicates(onnx_op_extractors)))
  File "/opt/intel/openvino_2020.3.194/deployment_tools/model_optimizer/mo/front/onnx/extractor.py", line 57, in onnx_op_extractor
    attrs = onnx_op_extractors[op](node)
  File "/opt/intel/openvino_2020.3.194/deployment_tools/model_optimizer/mo/front/common/register_custom_ops.py", line 96, in <lambda>
    node, cls, disable_omitting_optional, enable_flattening_optional_params),
  File "/opt/intel/openvino_2020.3.194/deployment_tools/model_optimizer/mo/front/common/register_custom_ops.py", line 29, in extension_extractor
    supported = ex.extract(node)
  File "/opt/intel/openvino_2020.3.194/deployment_tools/model_optimizer/extensions/front/onnx/pad_ext.py", line 34, in extract
    assert pads is not None
AssertionError

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/intel/openvino_2020.3.194/deployment_tools/model_optimizer/mo/utils/class_registration.py", line 288, in apply_transform
    for_graph_and_each_sub_graph_recursively(graph, replacer.find_and_replace_pattern)
  File "/opt/intel/openvino_2020.3.194/deployment_tools/model_optimizer/mo/middle/pattern_match.py", line 58, in for_graph_and_each_sub_graph_recursively
    func(graph)
  File "/opt/intel/openvino_2020.3.194/deployment_tools/model_optimizer/extensions/load/loader.py", line 27, in find_and_replace_pattern
    self.load(graph)
  File "/opt/intel/openvino_2020.3.194/deployment_tools/model_optimizer/extensions/load/onnx/loader.py", line 68, in load
    extract_node_attrs(graph, lambda node: onnx_op_extractor(node, check_for_duplicates(onnx_op_extractors)))
  File "/opt/intel/openvino_2020.3.194/deployment_tools/model_optimizer/mo/front/extractor.py", line 754, in extract_node_attrs
    ) from e
mo.utils.error.Error: Unexpected exception happened during extracting attributes for node conv1_conv.
Original exception message: 

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/intel/openvino_2020.3.194/deployment_tools/model_optimizer/mo/main.py", line 312, in main
    ret_code = driver(argv)
  File "/opt/intel/openvino_2020.3.194/deployment_tools/model_optimizer/mo/main.py", line 273, in driver
    ret_res = emit_ir(prepare_ir(argv), argv)
  File "/opt/intel/openvino_2020.3.194/deployment_tools/model_optimizer/mo/main.py", line 238, in prepare_ir
    graph = unified_pipeline(argv)
  File "/opt/intel/openvino_2020.3.194/deployment_tools/model_optimizer/mo/pipeline/unified.py", line 29, in unified_pipeline
    class_registration.ClassType.BACK_REPLACER
  File "/opt/intel/openvino_2020.3.194/deployment_tools/model_optimizer/mo/utils/class_registration.py", line 334, in apply_replacements
    apply_replacements_list(graph, replacers_order)
  File "/opt/intel/openvino_2020.3.194/deployment_tools/model_optimizer/mo/utils/class_registration.py", line 324, in apply_replacements_list
    num_transforms=len(replacers_order))
  File "/opt/intel/openvino_2020.3.194/deployment_tools/model_optimizer/mo/utils/logger.py", line 124, in wrapper
    function(*args, **kwargs)
  File "/opt/intel/openvino_2020.3.194/deployment_tools/model_optimizer/mo/utils/class_registration.py", line 304, in apply_transform
    )) from err
mo.utils.error.Error: Exception occurred during running replacer "REPLACEMENT_ID" (<class 'extensions.load.onnx.loader.ONNXLoader'>): Unexpected exception happened during extracting attributes for node conv1_conv.
Original exception message: 

 

0 Kudos
2 Replies
Highlighted
Community Manager
58 Views

Hi Sai,

 

Thank you for reaching out to us. If possible, could you share some information regarding the resnet_50 model?

  • Is it a customized model or a publicly available model?
  • Which frameworks used to train the model?
  • Which command did you use to convert the model into an onnx model?

From the log, I found that the 2020.3 version of the OpenVINO toolkit is being used. I would suggest using the latest version of OpenVINO Toolkit which is the 2021.1 version. Please refer to the following link to download the latest version:

https://software.intel.com/content/www/us/en/develop/tools/openvino-toolkit/download.html

 

Regards,

Adli

 

0 Kudos
Highlighted
Community Manager
30 Views

Hi Sai,


Thank you for your question. If you need any additional information from Intel, please submit a new question as this thread is no longer being monitored. 


Regards,

Adli


0 Kudos